<div class="card mb-4">
	<div class="card-header">
		<i class="fas fa-table mr-1"></i> Información
		<button class="btn btn-primary" style=" float: right;" data-toggle="modal" (click)="onResetForm()" data-target="#formularioCreacion" *ngxPermissionsOnly="'pages_create'"><i class="fas fa-plus-circle"></i> Página</button>
	</div>
	<div class="card-body">
		<div class="table-responsive">
			<table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
				<thead>
				<tr>
					<th>Nombre de Página</th>
					<th>URL</th>
					<th>URL Login</th>
					<th>Cátegoria</th>
					<th *ngxPermissionsOnly="'pages_edit'">Acción</th>
				</tr> 
				</thead>
				<tfoot>
					<tr>
						<th>Nombre de Página</th>
						<th>URL</th>
						<th>URL Login</th>
						<th>Categoría</th>
						<th style=" width: 7%;" *ngxPermissionsOnly="'pages_edit'">Acción</th>
					</tr>
				</tfoot>
				<tbody>
					<tr *ngFor="let pagina of paginas" >
						<td>{{ pagina.name }}</td>
						<td>{{ pagina.url }}</td>
						<td>{{ pagina.url_login }}</td>
						<td>{{ pagina.categoria.description }}</td>
						<td style="text-align: center;" *ngxPermissionsOnly="'pages_edit'" >
							<a href="javascript:void(0)" (click)="onEditar(pagina)" data-toggle="modal" data-target="#formularioCreacion"><i class="fas fa-edit"></i></a>
							<!-- <a href="javascript:void(0)" style=" margin-left: 15px;" (click)="onEditar(pagina)" data-toggle="modal" data-target="#formularioCreacion"><i class="fas fa-trash-alt"></i></a> -->
						</td> 
					</tr>
				</tbody>
			</table>
		</div>
	</div>
</div>
<div class="modal fade " id="formularioCreacion" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-lg" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Formulario</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <form [formGroup]="paginaForm" (ngSubmit)="onSaveForm()">
	      <div class="modal-body">
	      	<div class="container-fluid">
	        
	        	<div class="row">
	        		<div class="col-md-6">
	        			<label for="recipient-name" class="col-form-label">Nombre: </label> 
	        			<label style="color: red; margin-left: 13px; font-size: 12px;" *ngIf="(f.name.invalid && (submitted || f.name.touched))"> El campo es requerido</label>
	        			<input type="text" class="form-control" formControlName="name" [ngClass]="{ 'is-invalid': f.name.errors && (f.name.touched || submitted), 'is-valid': f.name.touched && !f.name.errors}">
		            </div>
		            <div class="col-md-6">
	        			<label for="recipient-name" class="col-form-label">URL:</label>
	        			<label style="color: red; margin-left: 13px; font-size: 12px;" *ngIf="(f.url.invalid && (submitted || f.url.touched))"> El campo es requerido</label>
	        			<input type="text" class="form-control" formControlName="url" [ngClass]="{ 'is-invalid': f.url.errors && (f.url.touched || submitted), 'is-valid': f.url.touched && !f.url.errors}">
		            </div>
	        	</div>
	          	<div class="row"> 
	        		<div class="col-md-6">
	        			<label for="recipient-name" class="col-form-label">URL Login:</label>
	        			<label style="color: red; margin-left: 13px; font-size: 12px;" *ngIf="(f.url_login.invalid && (submitted || f.url_login.touched))"> El campo es requerido</label>
	        			<input type="text" class="form-control" formControlName="url_login" [ngClass]="{ 'is-invalid': f.url_login.errors && (f.url_login.touched || submitted), 'is-valid': f.url_login.touched && !f.url_login.errors}">
		            </div>
		            <div class="col-md-6">
	        			<label for="recipient-name" class="col-form-label">Columna Nick:</label>
	        			<label style="color: red; margin-left: 13px; font-size: 12px;" *ngIf="(f.column_nick.invalid && (submitted || f.column_nick.touched))"> El campo es requerido (Máx 3 Caracteres)</label>
	        			<input type="text" class="form-control" formControlName="column_nick" [ngClass]="{ 'is-invalid': f.column_nick.errors && (f.column_nick.touched || submitted), 'is-valid': f.column_nick.touched && !f.column_nick.errors}">
		            </div>
	        	</div>
	        	<div class="row">
	        		<div class="col-md-6">
	        			<label for="recipient-name" class="col-form-label">Categoría:</label>
	        			<label style="color: red; margin-left: 13px; font-size: 12px;" *ngIf="(f.category_id.invalid && (submitted || f.category_id.touched))"> El campo es requerido </label>
	        			<select class="form-control" formControlName="category_id" [ngClass]="{ 'is-invalid': f.category_id.errors && (f.category_id.touched || submitted), 'is-valid': f.category_id.touched && !f.category_id.errors}">
	        				<option *ngFor="let categoria of categorias" value="{{ categoria.id }}">{{ categoria.description }}</option>
	        			</select>
		            </div>
	        		<div class="col-md-6">
	        			<label for="recipient-name" class="col-form-label">Columna Valor:</label>
	        			<label style="color: red; margin-left: 13px; font-size: 12px;" *ngIf="(f.column_value.invalid && (submitted || f.column_value.touched))"> El campo es requerido (Máx 3 Caracteres)</label>
	        			<input type="text" class="form-control" name="column_value" formControlName="column_value" [ngClass]="{ 'is-invalid': f.column_value.errors && (f.column_value.touched || submitted), 'is-valid': f.column_value.touched && !f.column_value.errors}">
		            </div>
		            <div class="col-md-6">
	        			<label for="recipient-name" class="col-form-label">Columna Bonos:</label>
	        			<label style="color: red; margin-left: 13px; font-size: 12px;" *ngIf="(f.column_bonus.invalid && (submitted || f.column_bonus.touched))"> El campo es requerido (Máx 3 Caracteres)</label>
	        			<input type="text" class="form-control" name="column_bonus" formControlName="column_bonus" [ngClass]="{ 'is-invalid': f.column_bonus.errors && (f.column_bonus.touched || submitted), 'is-valid': f.column_bonus.touched && !f.column_bonus.errors}">
		            </div>
	        	</div>
	    	</div>
	      </div>
	      <div class="modal-footer">
	        <button type="button" class="btn btn-secondary" id="btnCerrar" data-dismiss="modal">Cerrar</button>
	        <button type="submit" class="btn btn-success" id="btnGuardar">{{ textbtn }}</button>
	      </div>
      </form>
    </div>
  </div>
</div>








